@import url('https://fonts.googleapis.com/css2?family=Share+Tech+Mono&display=swap');

:root {
  /* Colors palette */
  --background: #262322;
  --badge-background: #161413;
  --separator: #4C4543;
  --text-color:  #F2E5D7;
  --keywords-color: #C97D60;
  --key-color: #C97D60;
  --error-color: #d15a5a;
}

body {
  margin: 0;
  padding: 0;
}

.live-console {
  margin: 0;
  padding: 0;
  background: var(--background);
  color: var(--text-color);
  font-family: 'Inconsolata', 'Courier', 'monospace';
  font-size: small;
  overflow: auto;
}

.live-console .entry {
  display: flex;
  flex-direction: row;
  border-bottom: 1px solid var(--separator);
}

.live-console .iterations {
  display: flex;
  justify-content: center;
  font-size: x-small;
  width: 32px;
}

.live-console .iterations span {
  background: var(--badge-background);
  margin: 3px;
  height: 16px;
  line-height: 16px;
  width: 24px;
  border-radius: 16px / 16px;
  text-align: center;
}

.live-console ul,
.live-console ol {
  margin: 0;
  padding: 4px 20px;
  list-style-type: none;
}

.live-console ol {
  counter-reset: i;
}

.live-console ol li {
  counter-increment: i;
}

.live-console ol li::before {
  content: '[' counter(i) '] ';
  font-weight: bold;
  color:var(--key-color);
}

.live-console div > ul,
.live-console div > ol {
  padding: 4px 0px;
}

.live-console .folded ul,
.live-console .folded ol {
  display: none;
}

.live-console .foldable-label {
  display: flex;
  align-items: center;
  cursor: context-menu;
}

.live-console .arrow {
  width: 0px;
  height: 0px;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-top: 8px solid var(--badge-background);
  margin: 0;
  margin-right: 2px;
}

.live-console .folded .arrow {
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
  border-left: 8px solid var(--badge-background);
  margin: 0;
  margin-right: 0px;
}

.live-console .foldable-label span {
  padding-right: 4px;
}

.live-console ul > li,
.live-console ol > li {
  position: relative;
  left: 14px;
}

.live-console ul > li.foldable,
.live-console ol > li.foldable {
  position: relative;
  left: 0px;
}

.live-console span {
  user-select: 'none';
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.live-console .keyword {
  font-weight: bold;
  color: var(--keywords-color);
}

.live-console .key {
  font-weight: bold;
  color:var(--key-color);
}

.live-console .error {
  font-weight: bold;
  color: var(--error-color);
}
